Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003445 [JEDI VCL] 03 Donations feature N/A 2006-01-17 07:26 2006-04-05 02:08
Reporter wesson View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0003445: TJvBallonHint Unicode (WideString) version
Description As I needed to display international caracters in ballon hint, I made a modification to make this component compatible with unicode.

Here is the code attached
Additional Information TJvBallonHint has now all the ActivateHint and DefaultHeader in WideString

The trick was to encode all the WideStrings to UTF8 so they can travel with ANSI strings, then decode as they are draw.

Unit should be compatible with Win9x/Me as there is a check at initialization for the presence of the unicode layer.

Tags No tags attached.
Attached Files zip file icon JvBalloonHint.zip [^] (14,080 bytes) 2006-01-17 07:26

- Relationships

-  Notes
(0008952)
obones (administrator)
2006-04-05 02:08

Thanks, this is now in CVS.
Note however that your test of unicode support was not correct as it used static linking for the unicode functions. The only safe way to go is to use LoadLibrary and GetProcAddress, which is what is in the version I committed

- Issue History
Date Modified Username Field Change
2006-01-17 07:26 wesson New Issue
2006-01-17 07:26 wesson File Added: JvBalloonHint.zip
2006-01-17 07:27 wesson Issue Monitored: wesson
2006-01-26 07:11 obones Status new => acknowledged
2006-04-05 02:08 obones Status acknowledged => resolved
2006-04-05 02:08 obones Resolution open => fixed
2006-04-05 02:08 obones Assigned To => obones
2006-04-05 02:08 obones Note Added: 0008952


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker